Bug 1081448 - Having troubles with qa jdbc object store tests
Summary: Having troubles with qa jdbc object store tests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: EAP 6.3.0
Assignee: Michael
QA Contact: Ondrej Chaloupka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-27 10:57 UTC by Ondrej Chaloupka
Modified: 2014-06-28 15:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:39:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2130 Major Closed All JDBC object store qa tests fail 2014-07-08 14:44:15 UTC
JBoss Issue Tracker JBTM-2133 Minor Closed Multiple QA test suite failures on Oracle 2014-07-08 14:44:15 UTC

Description Ondrej Chaloupka 2014-03-27 10:57:22 UTC
I'm creating this issue to just track the fix of the issue:
https://issues.jboss.org/browse/JBTM-2130


The tests for EAP 6.3.0.DR are failing with jdbc object store on all currently tested databases.

I expect that after fixing issue JBTM-2130 the trouble will go away.

The list of the failed tests in our case is:
rawresources01_1 RawResources01_1_Test002 Fail (0m15.981s)
rawresources01_1 RawResources01_1_Test003 Fail (0m16.306s)
rawresources01_1 RawResources01_1_Test004 Fail (0m15.662s)
rawresources01_1 RawResources01_1_Test005 Fail (0m16.277s)
rawresources01_1 RawResources01_1_Test006 Fail (0m16.241s)
rawresources02_1 RawResources02_1_Test002 Fail (0m14.490s)
rawresources02_1 RawResources02_1_Test003 Fail (0m14.924s)
rawresources02_1 RawResources02_1_Test004 Fail (0m14.630s)
rawresources02_1 RawResources02_1_Test005 Fail (0m14.550s)
rawresources02_1 RawResources02_1_Test006 Fail (0m15.398s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test002 Fail (0m16.188s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test003 Fail (0m16.346s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test004 Fail (0m15.874s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test005 Fail (0m16.392s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test006 Fail (0m16.038s)
rawsubtransactionawareresources01_1 RawSubtransactionAwareResources01_1_Test001 Fail (0m15.875s)
crashrecovery01 CrashRecovery01_Test02 Fail (0m16.184s)
crashrecovery01 CrashRecovery01_Test03 Fail (0m16.830s)
crashrecovery01 CrashRecovery01_Test04 Fail (4m6.182s)
crashrecovery01 CrashRecovery01_Test05 Fail (4m6.292s)
crashrecovery01 CrashRecovery01_Test06 Fail (4m6.027s)
crashrecovery01 CrashRecovery01_Test07 Fail (0m16.029s)
crashrecovery01 CrashRecovery01_Test08 Fail (0m16.405s)
crashrecovery01 CrashRecovery01_Test09 Fail (0m16.002s)
crashrecovery01 CrashRecovery01_Test10 Fail (4m6.323s)
crashrecovery01 CrashRecovery01_Test11 Fail (4m6.685s)
crashrecovery01 CrashRecovery01_Test12 Fail (4m6.274s)
crashrecovery01 CrashRecovery01_Test13 Fail (0m18.919s)
crashrecovery01 CrashRecovery01_Test14 Fail (0m18.794s)
crashrecovery01 CrashRecovery01_Test15 Fail (0m20.392s)
crashrecovery01 CrashRecovery01_Test16 Fail (4m9.228s)
crashrecovery01 CrashRecovery01_Test17 Fail (4m9.592s)
crashrecovery01 CrashRecovery01_Test18 Fail (4m10.449s)
crashrecovery01 CrashRecovery01_Test19 Fail (0m15.929s)
crashrecovery01 CrashRecovery01_Test20 Fail (0m16.117s)
crashrecovery01 CrashRecovery01_Test21 Fail (0m16.068s)
crashrecovery01 CrashRecovery01_Test22 Fail (4m6.841s)
crashrecovery01 CrashRecovery01_Test23 Fail (4m6.228s)
crashrecovery01 CrashRecovery01_Test24 Fail (4m6.534s)
crashrecovery01 CrashRecovery01_Test01 Fail (0m16.083s)
crashrecovery02_1 CrashRecovery02_1_Test02 Fail (0m16.203s)
crashrecovery02_1 CrashRecovery02_1_Test03 Fail (0m16.234s)
crashrecovery02_1 CrashRecovery02_1_Test04 Fail (0m16.113s)
crashrecovery02_1 CrashRecovery02_1_Test05 Fail (0m16.414s)
crashrecovery02_1 CrashRecovery02_1_Test01 Fail (0m16.521s)
crashrecovery03 CrashRecovery03_Test01 Fail (0m16.019s)
crashrecovery06 CrashRecovery06_Test02 Fail (0m16.288s)
crashrecovery06 CrashRecovery06_Test01 Fail (0m14.581s)
crashrecovery12 CrashRecovery12_Test07 Fail (4m14.126s)
crashrecovery12 CrashRecovery12_Test02 Fail (4m10.549s)
crashrecovery12 CrashRecovery12_Test03 Fail (4m12.129s)
crashrecovery12 CrashRecovery12_Test04 Fail (4m10.597s)
crashrecovery12 CrashRecovery12_Test05 Fail (4m14.247s)
crashrecovery12 CrashRecovery12_Test06 Fail (4m13.698s)

Comment 1 Ondrej Chaloupka 2014-03-27 11:08:16 UTC
This issue seems to be connected to 
https://bugzilla.redhat.com/show_bug.cgi?id=1078297

and fix for https://issues.jboss.org/browse/JBTM-2130 will probably fix both of them.

Keeping as separate issues as list of the failures is different and these issues will be verified separately.

Comment 3 JBoss JIRA Server 2014-04-09 15:03:29 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2133 to Closed

Comment 4 JBoss JIRA Server 2014-04-09 15:03:33 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2130 to Closed

Comment 5 Ondrej Chaloupka 2014-05-28 13:49:22 UTC
Tested with EAP 6.3.0.ER5 where the most of the failures are fixed (under 4.17.20.Final).
But there is still valid issue https://bugzilla.redhat.com/show_bug.cgi?id=1078297


Note You need to log in before you can comment on or make changes to this bug.